Object.defineProperty(exports,"__esModule",{value:true});var _extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key];}}}return target;};var _jsxFileName='src/MessageText.js';var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');






var _reactNativeParsedText=require('react-native-parsed-text');var _reactNativeParsedText2=_interopRequireDefault(_reactNativeParsedText);
var _reactNativeCommunications=require('react-native-communications');var _reactNativeCommunications2=_interopRequireDefault(_reactNativeCommunications);function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call&&(typeof call==="object"||typeof call==="function")?call:self;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass);}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass;}var

MessageText=function(_React$Component){_inherits(MessageText,_React$Component);
function MessageText(props){_classCallCheck(this,MessageText);var _this=_possibleConstructorReturn(this,(MessageText.__proto__||Object.getPrototypeOf(MessageText)).call(this,
props));
_this.onUrlPress=_this.onUrlPress.bind(_this);
_this.onPhonePress=_this.onPhonePress.bind(_this);
_this.onEmailPress=_this.onEmailPress.bind(_this);return _this;
}_createClass(MessageText,[{key:'onUrlPress',value:function onUrlPress(

url){
_reactNative.Linking.openURL(url);
}},{key:'onPhonePress',value:function onPhonePress(

phone){
var options=[
'Text',
'Call',
'Cancel'];

var cancelButtonIndex=options.length-1;
this.context.actionSheet().showActionSheetWithOptions({
options:options,
cancelButtonIndex:cancelButtonIndex},

function(buttonIndex){
switch(buttonIndex){
case 0:
_reactNativeCommunications2.default.phonecall(phone,true);
break;
case 1:
_reactNativeCommunications2.default.text(phone);
break;}

});
}},{key:'onEmailPress',value:function onEmailPress(

email){
_reactNativeCommunications2.default.email(email,null,null,null,null);
}},{key:'render',value:function render()

{
return(
_react2.default.createElement(_reactNative.View,{style:[styles[this.props.position].container,this.props.containerStyle[this.props.position]],__source:{fileName:_jsxFileName,lineNumber:53}},
_react2.default.createElement(_reactNativeParsedText2.default,{
style:[styles[this.props.position].text,this.props.textStyle[this.props.position]],
parse:[
{
type:'url',
style:_reactNative.StyleSheet.flatten([styles[this.props.position].link,this.props.linkStyle[this.props.position]]),
onPress:this.onUrlPress},

{
type:'phone',
style:_reactNative.StyleSheet.flatten([styles[this.props.position].link,this.props.linkStyle[this.props.position]]),
onPress:this.onPhonePress},

{
type:'email',
style:_reactNative.StyleSheet.flatten([styles[this.props.position].link,this.props.linkStyle[this.props.position]]),
onPress:this.onEmailPress}],__source:{fileName:_jsxFileName,lineNumber:54}},



this.props.currentMessage.text)));



}}]);return MessageText;}(_react2.default.Component);exports.default=MessageText;


var textStyle={
fontSize:16,
lineHeight:20,
marginTop:5,
marginBottom:5,
marginLeft:10,
marginRight:10};


var styles={
left:_reactNative.StyleSheet.create({
container:{},
text:_extends({
color:'black'},
textStyle),

link:{
color:'black',
textDecorationLine:'underline'}}),


right:_reactNative.StyleSheet.create({
container:{},
text:_extends({
color:'white'},
textStyle),

link:{
color:'white',
textDecorationLine:'underline'}})};




MessageText.contextTypes={
actionSheet:_react2.default.PropTypes.func};


MessageText.defaultProps={
position:'left',
currentMessage:{
text:''},

containerStyle:{},
textStyle:{},
linkStyle:{}};


MessageText.propTypes={
position:_react2.default.PropTypes.oneOf(['left','right']),
currentMessage:_react2.default.PropTypes.object,
containerStyle:_react2.default.PropTypes.shape({
left:_reactNative.View.propTypes.style,
right:_reactNative.View.propTypes.style}),

textStyle:_react2.default.PropTypes.shape({
left:_reactNative.Text.propTypes.style,
right:_reactNative.Text.propTypes.style}),

linkStyle:_react2.default.PropTypes.shape({
left:_reactNative.Text.propTypes.style,
right:_reactNative.Text.propTypes.style})};