Object.defineProperty(exports,"__esModule",{value:true});var _extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key];}}}return target;};var _jsxFileName='src/Bubble.js';var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');






var _MessageText=require('./MessageText');var _MessageText2=_interopRequireDefault(_MessageText);
var _MessageImage=require('./MessageImage');var _MessageImage2=_interopRequireDefault(_MessageImage);
var _Time=require('./Time');var _Time2=_interopRequireDefault(_Time);

var _utils=require('./utils');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _objectWithoutProperties(obj,keys){var target={};for(var i in obj){if(keys.indexOf(i)>=0)continue;if(!Object.prototype.hasOwnProperty.call(obj,i))continue;target[i]=obj[i];}return target;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call&&(typeof call==="object"||typeof call==="function")?call:self;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass);}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass;}var

Bubble=function(_React$Component){_inherits(Bubble,_React$Component);
function Bubble(props){_classCallCheck(this,Bubble);var _this=_possibleConstructorReturn(this,(Bubble.__proto__||Object.getPrototypeOf(Bubble)).call(this,
props));
_this.onLongPress=_this.onLongPress.bind(_this);return _this;
}_createClass(Bubble,[{key:'handleBubbleToNext',value:function handleBubbleToNext()

{
if((0,_utils.isSameUser)(this.props.currentMessage,this.props.nextMessage)&&(0,_utils.isSameDay)(this.props.currentMessage,this.props.nextMessage)){
return _reactNative.StyleSheet.flatten([styles[this.props.position].containerToNext,this.props.containerToNextStyle[this.props.position]]);
}
return null;
}},{key:'handleBubbleToPrevious',value:function handleBubbleToPrevious()

{
if((0,_utils.isSameUser)(this.props.currentMessage,this.props.previousMessage)&&(0,_utils.isSameDay)(this.props.currentMessage,this.props.previousMessage)){
return _reactNative.StyleSheet.flatten([styles[this.props.position].containerToPrevious,this.props.containerToPreviousStyle[this.props.position]]);
}
return null;
}},{key:'renderMessageText',value:function renderMessageText()

{
if(this.props.currentMessage.text){var _props=
this.props,containerStyle=_props.containerStyle,wrapperStyle=_props.wrapperStyle,messageTextProps=_objectWithoutProperties(_props,['containerStyle','wrapperStyle']);
if(this.props.renderMessageText){
return this.props.renderMessageText(messageTextProps);
}
return _react2.default.createElement(_MessageText2.default,_extends({},messageTextProps,{__source:{fileName:_jsxFileName,lineNumber:41}}));
}
return null;
}},{key:'renderMessageImage',value:function renderMessageImage()

{
if(this.props.currentMessage.image){var _props2=
this.props,containerStyle=_props2.containerStyle,wrapperStyle=_props2.wrapperStyle,messageImageProps=_objectWithoutProperties(_props2,['containerStyle','wrapperStyle']);
if(this.props.renderMessageImage){
return this.props.renderMessageImage(messageImageProps);
}
return _react2.default.createElement(_MessageImage2.default,_extends({},messageImageProps,{__source:{fileName:_jsxFileName,lineNumber:52}}));
}
return null;
}},{key:'renderTime',value:function renderTime()

{
if(this.props.currentMessage.createdAt){var _props3=
this.props,containerStyle=_props3.containerStyle,wrapperStyle=_props3.wrapperStyle,timeProps=_objectWithoutProperties(_props3,['containerStyle','wrapperStyle']);
if(this.props.renderTime){
return this.props.renderTime(timeProps);
}
return _react2.default.createElement(_Time2.default,_extends({},timeProps,{__source:{fileName:_jsxFileName,lineNumber:63}}));
}
return null;
}},{key:'renderCustomView',value:function renderCustomView()

{
if(this.props.renderCustomView){
return this.props.renderCustomView(this.props);
}
return null;
}},{key:'onLongPress',value:function onLongPress()

{var _this2=this;
if(this.props.onLongPress){
this.props.onLongPress(this.context);
}else{
if(this.props.currentMessage.text){
var options=[
'Copy Text',
'Cancel'];

var cancelButtonIndex=options.length-1;
this.context.actionSheet().showActionSheetWithOptions({
options:options,
cancelButtonIndex:cancelButtonIndex},

function(buttonIndex){
switch(buttonIndex){
case 0:
_reactNative.Clipboard.setString(_this2.props.currentMessage.text);
break;}

});
}
}
}},{key:'render',value:function render()

{
return(
_react2.default.createElement(_reactNative.View,{style:[styles[this.props.position].container,this.props.containerStyle[this.props.position]],__source:{fileName:_jsxFileName,lineNumber:102}},
_react2.default.createElement(_reactNative.View,{
style:[styles[this.props.position].wrapper,this.props.wrapperStyle[this.props.position],this.handleBubbleToNext(),this.handleBubbleToPrevious()],__source:{fileName:_jsxFileName,lineNumber:103}},
_react2.default.createElement(_reactNative.TouchableWithoutFeedback,_extends({
onLongPress:this.onLongPress,
accessibilityTraits:'text'},
this.props.touchableProps,{__source:{fileName:_jsxFileName,lineNumber:105}}),

_react2.default.createElement(_reactNative.View,{__source:{fileName:_jsxFileName,lineNumber:110}},
this.renderCustomView(),
this.renderMessageImage(),
this.renderMessageText(),
this.renderTime())))));





}}]);return Bubble;}(_react2.default.Component);exports.default=Bubble;


var styles={
left:_reactNative.StyleSheet.create({
container:{
flex:1,
alignItems:'flex-start'},

wrapper:{
borderRadius:15,
backgroundColor:'#f0f0f0',
marginRight:60,
minHeight:20,
justifyContent:'flex-end'},

containerToNext:{
borderBottomLeftRadius:3},

containerToPrevious:{
borderTopLeftRadius:3}}),


right:_reactNative.StyleSheet.create({
container:{
flex:1,
alignItems:'flex-end'},

wrapper:{
borderRadius:15,
backgroundColor:'#0084ff',
marginLeft:60,
minHeight:20,
justifyContent:'flex-end'},

containerToNext:{
borderBottomRightRadius:3},

containerToPrevious:{
borderTopRightRadius:3}})};




Bubble.contextTypes={
actionSheet:_react2.default.PropTypes.func};


Bubble.defaultProps={
touchableProps:{},
onLongPress:null,
renderMessageImage:null,
renderMessageText:null,
renderCustomView:null,
renderTime:null,
position:'left',
currentMessage:{
text:null,
createdAt:null,
image:null},

nextMessage:{},
previousMessage:{},
containerStyle:{},
wrapperStyle:{},
containerToNextStyle:{},
containerToPreviousStyle:{}};


Bubble.propTypes={
touchableProps:_react2.default.PropTypes.object,
onLongPress:_react2.default.PropTypes.func,
renderMessageImage:_react2.default.PropTypes.func,
renderMessageText:_react2.default.PropTypes.func,
renderCustomView:_react2.default.PropTypes.func,
renderTime:_react2.default.PropTypes.func,
position:_react2.default.PropTypes.oneOf(['left','right']),
currentMessage:_react2.default.PropTypes.object,
nextMessage:_react2.default.PropTypes.object,
previousMessage:_react2.default.PropTypes.object,
containerStyle:_react2.default.PropTypes.shape({
left:_reactNative.View.propTypes.style,
right:_reactNative.View.propTypes.style}),

wrapperStyle:_react2.default.PropTypes.shape({
left:_reactNative.View.propTypes.style,
right:_reactNative.View.propTypes.style}),

containerToNextStyle:_react2.default.PropTypes.shape({
left:_reactNative.View.propTypes.style,
right:_reactNative.View.propTypes.style}),

containerToPreviousStyle:_react2.default.PropTypes.shape({
left:_reactNative.View.propTypes.style,
right:_reactNative.View.propTypes.style})};