Object.defineProperty(exports,"__esModule",{value:true});var _jsxFileName='src/GiftedAvatar.js';var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();


var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _objectWithoutProperties(obj,keys){var target={};for(var i in obj){if(keys.indexOf(i)>=0)continue;if(!Object.prototype.hasOwnProperty.call(obj,i))continue;target[i]=obj[i];}return target;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call&&(typeof call==="object"||typeof call==="function")?call:self;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass);}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass;}var










GiftedAvatar=function(_React$Component){_inherits(GiftedAvatar,_React$Component);function GiftedAvatar(){_classCallCheck(this,GiftedAvatar);return _possibleConstructorReturn(this,(GiftedAvatar.__proto__||Object.getPrototypeOf(GiftedAvatar)).apply(this,arguments));}_createClass(GiftedAvatar,[{key:'setAvatarColor',value:function setAvatarColor()
{
var userName=this.props.user.name||'';
var name=userName.toUpperCase().split(' ');
if(name.length===1){
this.avatarName=''+name[0].charAt(0);
}else if(name.length>1){
this.avatarName=''+name[0].charAt(0)+name[1].charAt(0);
}else{
this.avatarName='';
}

var sumChars=0;
for(var i=0;i<userName.length;i++){
sumChars+=userName.charCodeAt(i);
}



var colors=[
'#e67e22',
'#2ecc71',
'#3498db',
'#8e44ad',
'#e74c3c',
'#1abc9c',
'#2c3e50'];


this.avatarColor=colors[sumChars%colors.length];
}},{key:'renderAvatar',value:function renderAvatar()

{
if(typeof this.props.user.avatar==='function'){
return this.props.user.avatar();
}else if(typeof this.props.user.avatar==='string'){
return(
_react2.default.createElement(_reactNative.Image,{
source:{uri:this.props.user.avatar},
style:[defaultStyles.avatarStyle,this.props.avatarStyle],__source:{fileName:_jsxFileName,lineNumber:53}}));


}
return null;
}},{key:'renderInitials',value:function renderInitials()

{
return(
_react2.default.createElement(_reactNative.Text,{style:[defaultStyles.textStyle,this.props.textStyle],__source:{fileName:_jsxFileName,lineNumber:64}},
this.avatarName));


}},{key:'render',value:function render()

{var _this2=this;
if(!this.props.user.name&&!this.props.user.avatar){

return(
_react2.default.createElement(_reactNative.View,{
style:[
defaultStyles.avatarStyle,
{backgroundColor:'transparent'},
this.props.avatarStyle],

accessibilityTraits:'image',__source:{fileName:_jsxFileName,lineNumber:74}}));


}
if(this.props.user.avatar){
return(
_react2.default.createElement(_reactNative.TouchableOpacity,{
disabled:this.props.onPress?false:true,
onPress:function onPress(){var _props=
_this2.props,onPress=_props.onPress,other=_objectWithoutProperties(_props,['onPress']);
_this2.props.onPress&&_this2.props.onPress(other);
},
accessibilityTraits:'image',__source:{fileName:_jsxFileName,lineNumber:86}},

this.renderAvatar()));


}

if(!this.avatarColor){
this.setAvatarColor();
}

return(
_react2.default.createElement(_reactNative.TouchableOpacity,{
disabled:this.props.onPress?false:true,
onPress:function onPress(){var _props2=
_this2.props,onPress=_props2.onPress,other=_objectWithoutProperties(_props2,['onPress']);
_this2.props.onPress&&_this2.props.onPress(other);
},
style:[
defaultStyles.avatarStyle,
{backgroundColor:this.avatarColor},
this.props.avatarStyle],

accessibilityTraits:'image',__source:{fileName:_jsxFileName,lineNumber:104}},

this.renderInitials()));


}}]);return GiftedAvatar;}(_react2.default.Component);exports.default=GiftedAvatar;


var defaultStyles={
avatarStyle:{
justifyContent:'center',
alignItems:'center',
width:40,
height:40,
borderRadius:20},

textStyle:{
color:'#fff',
fontSize:16,
backgroundColor:'transparent',
fontWeight:'100'}};



GiftedAvatar.defaultProps={
user:{
name:null,
avatar:null},

onPress:null,
avatarStyle:{},
textStyle:{}};


GiftedAvatar.propTypes={
user:_react2.default.PropTypes.object,
onPress:_react2.default.PropTypes.func,
avatarStyle:_reactNative.Image.propTypes.style,
textStyle:_reactNative.Text.propTypes.style};