Object.defineProperty(exports,"__esModule",{value:true});exports.Time=exports.Send=exports.Message=exports.LoadEarlier=exports.InputToolbar=exports.Day=exports.Composer=exports.MessageText=exports.MessageImage=exports.Bubble=exports.Avatar=exports.Actions=exports.GiftedChat=undefined;var _extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key];}}}return target;};var _jsxFileName='src/GiftedChat.js';var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');






var _InteractionManager=require('./InteractionManager');var _InteractionManager2=_interopRequireDefault(_InteractionManager);
var _reactNativeActionSheet=require('@expo/react-native-action-sheet');var _reactNativeActionSheet2=_interopRequireDefault(_reactNativeActionSheet);
var _reactNativeDismissKeyboard=require('react-native-dismiss-keyboard');var _reactNativeDismissKeyboard2=_interopRequireDefault(_reactNativeDismissKeyboard);
var _momentWithLocales=require('moment/min/moment-with-locales.min');var _momentWithLocales2=_interopRequireDefault(_momentWithLocales);

var _Actions=require('./Actions');var _Actions2=_interopRequireDefault(_Actions);
var _Avatar=require('./Avatar');var _Avatar2=_interopRequireDefault(_Avatar);
var _Bubble=require('./Bubble');var _Bubble2=_interopRequireDefault(_Bubble);
var _MessageImage=require('./MessageImage');var _MessageImage2=_interopRequireDefault(_MessageImage);
var _MessageText=require('./MessageText');var _MessageText2=_interopRequireDefault(_MessageText);
var _Composer=require('./Composer');var _Composer2=_interopRequireDefault(_Composer);
var _Day=require('./Day');var _Day2=_interopRequireDefault(_Day);
var _InputToolbar=require('./InputToolbar');var _InputToolbar2=_interopRequireDefault(_InputToolbar);
var _LoadEarlier=require('./LoadEarlier');var _LoadEarlier2=_interopRequireDefault(_LoadEarlier);
var _Message=require('./Message');var _Message2=_interopRequireDefault(_Message);
var _MessageContainer=require('./MessageContainer');var _MessageContainer2=_interopRequireDefault(_MessageContainer);
var _Send=require('./Send');var _Send2=_interopRequireDefault(_Send);
var _Time=require('./Time');var _Time2=_interopRequireDefault(_Time);function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call&&(typeof call==="object"||typeof call==="function")?call:self;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass);}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass;}




var MIN_COMPOSER_HEIGHT=_reactNative.Platform.select({
ios:33,
android:41});

var MAX_COMPOSER_HEIGHT=100;
var MIN_INPUT_TOOLBAR_HEIGHT=44;var

GiftedChat=function(_React$Component){_inherits(GiftedChat,_React$Component);
function GiftedChat(props){_classCallCheck(this,GiftedChat);var _this=_possibleConstructorReturn(this,(GiftedChat.__proto__||Object.getPrototypeOf(GiftedChat)).call(this,
props));


_this._isMounted=false;
_this._keyboardHeight=0;
_this._bottomOffset=0;
_this._maxHeight=null;
_this._touchStarted=false;
_this._isFirstLayout=true;
_this._locale='en';
_this._messages=[];

_this.state={
isInitialized:false,
composerHeight:MIN_COMPOSER_HEIGHT,
messagesContainerHeight:null,
typingDisabled:false};


_this.onTouchStart=_this.onTouchStart.bind(_this);
_this.onTouchMove=_this.onTouchMove.bind(_this);
_this.onTouchEnd=_this.onTouchEnd.bind(_this);
_this.onKeyboardWillShow=_this.onKeyboardWillShow.bind(_this);
_this.onKeyboardWillHide=_this.onKeyboardWillHide.bind(_this);
_this.onKeyboardDidShow=_this.onKeyboardDidShow.bind(_this);
_this.onKeyboardDidHide=_this.onKeyboardDidHide.bind(_this);
_this.onSend=_this.onSend.bind(_this);
_this.getLocale=_this.getLocale.bind(_this);
_this.onInputSizeChanged=_this.onInputSizeChanged.bind(_this);
_this.onInputTextChanged=_this.onInputTextChanged.bind(_this);
_this.onMainViewLayout=_this.onMainViewLayout.bind(_this);
_this.onInitialLayoutViewLayout=_this.onInitialLayoutViewLayout.bind(_this);

_this.invertibleScrollViewProps={
inverted:true,
keyboardShouldPersistTaps:true,
onTouchStart:_this.onTouchStart,
onTouchMove:_this.onTouchMove,
onTouchEnd:_this.onTouchEnd,
onKeyboardWillShow:_this.onKeyboardWillShow,
onKeyboardWillHide:_this.onKeyboardWillHide,
onKeyboardDidShow:_this.onKeyboardDidShow,
onKeyboardDidHide:_this.onKeyboardDidHide};return _this;

}_createClass(GiftedChat,[{key:'getChildContext',value:function getChildContext()















{var _this2=this;
return{
actionSheet:function actionSheet(){return _this2._actionSheetRef;},
getLocale:this.getLocale};

}},{key:'componentWillMount',value:function componentWillMount()

{
this.setIsMounted(true);
this.initLocale();
this.initMessages(this.props.messages);
}},{key:'componentWillUnmount',value:function componentWillUnmount()

{
this.setIsMounted(false);
}},{key:'componentWillReceiveProps',value:function componentWillReceiveProps()

{var nextProps=arguments.length>0&&arguments[0]!==undefined?arguments[0]:{};
this.initMessages(nextProps.messages);
}},{key:'initLocale',value:function initLocale()

{
if(this.props.locale===null||_momentWithLocales2.default.locales().indexOf(this.props.locale)===-1){
this.setLocale('en');
}else{
this.setLocale(this.props.locale);
}
}},{key:'initMessages',value:function initMessages()

{var messages=arguments.length>0&&arguments[0]!==undefined?arguments[0]:[];
this.setMessages(messages);
}},{key:'setLocale',value:function setLocale(

locale){
this._locale=locale;
}},{key:'getLocale',value:function getLocale()

{
return this._locale;
}},{key:'setMessages',value:function setMessages(

messages){
this._messages=messages;
}},{key:'getMessages',value:function getMessages()

{
return this._messages;
}},{key:'setMaxHeight',value:function setMaxHeight(

height){
this._maxHeight=height;
}},{key:'getMaxHeight',value:function getMaxHeight()

{
return this._maxHeight;
}},{key:'setKeyboardHeight',value:function setKeyboardHeight(

height){
this._keyboardHeight=height;
}},{key:'getKeyboardHeight',value:function getKeyboardHeight()

{
return this._keyboardHeight;
}},{key:'setBottomOffset',value:function setBottomOffset(

value){
this._bottomOffset=value;
}},{key:'getBottomOffset',value:function getBottomOffset()

{
return this._bottomOffset;
}},{key:'setIsFirstLayout',value:function setIsFirstLayout(

value){
this._isFirstLayout=value;
}},{key:'getIsFirstLayout',value:function getIsFirstLayout()

{
return this._isFirstLayout;
}},{key:'setIsTypingDisabled',value:function setIsTypingDisabled(

value){
this.setState({
typingDisabled:value});

}},{key:'getIsTypingDisabled',value:function getIsTypingDisabled()

{
return this.state.typingDisabled;
}},{key:'setIsMounted',value:function setIsMounted(

value){
this._isMounted=value;
}},{key:'getIsMounted',value:function getIsMounted()

{
return this._isMounted;
}},{key:'getMinInputToolbarHeight',value:function getMinInputToolbarHeight()



{
if(this.props.renderAccessory){
return MIN_INPUT_TOOLBAR_HEIGHT*2;
}
return MIN_INPUT_TOOLBAR_HEIGHT;
}},{key:'prepareMessagesContainerHeight',value:function prepareMessagesContainerHeight(

value){
if(this.props.isAnimated===true){
return new _reactNative.Animated.Value(value);
}
return value;
}},{key:'onKeyboardWillShow',value:function onKeyboardWillShow(

e){
this.setIsTypingDisabled(true);
this.setKeyboardHeight(e.endCoordinates?e.endCoordinates.height:e.end.height);
this.setBottomOffset(this.props.bottomOffset);
var newMessagesContainerHeight=this.getMaxHeight()-(this.state.composerHeight+(this.getMinInputToolbarHeight()-MIN_COMPOSER_HEIGHT))-this.getKeyboardHeight()+this.getBottomOffset();
if(this.props.isAnimated===true){
_reactNative.Animated.timing(this.state.messagesContainerHeight,{
toValue:newMessagesContainerHeight,
duration:210}).
start();
}else{
this.setState({
messagesContainerHeight:newMessagesContainerHeight});

}
}},{key:'onKeyboardWillHide',value:function onKeyboardWillHide()

{
this.setIsTypingDisabled(true);
this.setKeyboardHeight(0);
this.setBottomOffset(0);
var newMessagesContainerHeight=this.getMaxHeight()-(this.state.composerHeight+(this.getMinInputToolbarHeight()-MIN_COMPOSER_HEIGHT));
if(this.props.isAnimated===true){
_reactNative.Animated.timing(this.state.messagesContainerHeight,{
toValue:newMessagesContainerHeight,
duration:210}).
start();
}else{
this.setState({
messagesContainerHeight:newMessagesContainerHeight});

}
}},{key:'onKeyboardDidShow',value:function onKeyboardDidShow(

e){
if(_reactNative.Platform.OS==='android'){
this.onKeyboardWillShow(e);
}
this.setIsTypingDisabled(false);
}},{key:'onKeyboardDidHide',value:function onKeyboardDidHide(

e){
if(_reactNative.Platform.OS==='android'){
this.onKeyboardWillHide(e);
}
this.setIsTypingDisabled(false);
}},{key:'scrollToBottom',value:function scrollToBottom()

{var animated=arguments.length>0&&arguments[0]!==undefined?arguments[0]:true;
this._messageContainerRef.scrollTo({
y:0,
animated:animated});

}},{key:'onTouchStart',value:function onTouchStart()

{
this._touchStarted=true;
}},{key:'onTouchMove',value:function onTouchMove()

{
this._touchStarted=false;
}},{key:'onTouchEnd',value:function onTouchEnd()


{
if(this._touchStarted===true){
(0,_reactNativeDismissKeyboard2.default)();
}
this._touchStarted=false;
}},{key:'renderMessages',value:function renderMessages()

{var _this3=this;
var AnimatedView=this.props.isAnimated===true?_reactNative.Animated.View:_reactNative.View;
return(
_react2.default.createElement(AnimatedView,{style:{
height:this.state.messagesContainerHeight},__source:{fileName:_jsxFileName,lineNumber:289}},

_react2.default.createElement(_MessageContainer2.default,_extends({},
this.props,{

invertibleScrollViewProps:this.invertibleScrollViewProps,

messages:this.getMessages(),

ref:function ref(component){return _this3._messageContainerRef=component;},__source:{fileName:_jsxFileName,lineNumber:292}})),

this.renderChatFooter()));


}},{key:'onSend',value:function onSend()

{var _this4=this;var messages=arguments.length>0&&arguments[0]!==undefined?arguments[0]:[];var shouldResetInputToolbar=arguments.length>1&&arguments[1]!==undefined?arguments[1]:false;
if(!Array.isArray(messages)){
messages=[messages];
}

messages=messages.map(function(message){
return _extends({},
message,{
user:_this4.props.user,
createdAt:new Date(),
_id:'temp-id-'+Math.round(Math.random()*1000000)});

});

if(shouldResetInputToolbar===true){
this.setIsTypingDisabled(true);
this.resetInputToolbar();
}

this.props.onSend(messages);
this.scrollToBottom();

if(shouldResetInputToolbar===true){
setTimeout(function(){
if(_this4.getIsMounted()===true){
_this4.setIsTypingDisabled(false);
}
},100);
}
}},{key:'resetInputToolbar',value:function resetInputToolbar()

{
if(this.textInput){
this.textInput.clear();
}
this.setState({
text:'',
composerHeight:MIN_COMPOSER_HEIGHT,
messagesContainerHeight:this.prepareMessagesContainerHeight(this.getMaxHeight()-this.getMinInputToolbarHeight()-this.getKeyboardHeight()+this.props.bottomOffset)});

}},{key:'calculateInputToolbarHeight',value:function calculateInputToolbarHeight(

newComposerHeight){
return newComposerHeight+(this.getMinInputToolbarHeight()-MIN_COMPOSER_HEIGHT);
}},{key:'onInputSizeChanged',value:function onInputSizeChanged(

size){
var newComposerHeight=Math.max(MIN_COMPOSER_HEIGHT,Math.min(MAX_COMPOSER_HEIGHT,size.height));
var newMessagesContainerHeight=this.getMaxHeight()-this.calculateInputToolbarHeight(newComposerHeight)-this.getKeyboardHeight()+this.getBottomOffset();
this.setState({
composerHeight:newComposerHeight,
messagesContainerHeight:this.prepareMessagesContainerHeight(newMessagesContainerHeight)});

}},{key:'onInputTextChanged',value:function onInputTextChanged(

text){
if(this.getIsTypingDisabled()){
return;
}
this.setState({text:text});
}},{key:'onInitialLayoutViewLayout',value:function onInitialLayoutViewLayout(

e){
var layout=e.nativeEvent.layout;
if(layout.height<=0){
return;
}
this.setMaxHeight(layout.height);

this.setState({
isInitialized:true,
text:'',
composerHeight:MIN_COMPOSER_HEIGHT,
messagesContainerHeight:this.prepareMessagesContainerHeight(this.getMaxHeight()-this.getMinInputToolbarHeight())});


}},{key:'onMainViewLayout',value:function onMainViewLayout(

e){
if(_reactNative.Platform.OS==='android'){

var layout=e.nativeEvent.layout;
if(this.getMaxHeight()!==layout.height&&this.getIsFirstLayout()===true){
this.setMaxHeight(layout.height);
this.setState({
messagesContainerHeight:this.prepareMessagesContainerHeight(this.getMaxHeight()-this.getMinInputToolbarHeight())});

}
}
if(this.getIsFirstLayout()===true){
this.setIsFirstLayout(false);
}
}},{key:'renderInputToolbar',value:function renderInputToolbar()

{var _this5=this;
var inputToolbarProps=_extends({},
this.props,{
text:this.state.text,
composerHeight:Math.max(MIN_COMPOSER_HEIGHT,this.state.composerHeight),
onSend:this.onSend,
onInputSizeChanged:this.onInputSizeChanged,
onTextChanged:this.onInputTextChanged,
textInputProps:_extends({},
this.props.textInputProps,{
ref:function ref(textInput){return _this5.textInput=textInput;},
maxLength:this.getIsTypingDisabled()?0:null})});


if(this.getIsTypingDisabled()){
inputToolbarProps.textInputProps.maxLength=0;
}
if(this.props.renderInputToolbar){
return this.props.renderInputToolbar(inputToolbarProps);
}
return(
_react2.default.createElement(_InputToolbar2.default,_extends({},
inputToolbarProps,{__source:{fileName:_jsxFileName,lineNumber:421}})));


}},{key:'renderChatFooter',value:function renderChatFooter()

{
if(this.props.renderChatFooter){
var footerProps=_extends({},
this.props);

return this.props.renderChatFooter(footerProps);
}
return null;
}},{key:'renderLoading',value:function renderLoading()

{
if(this.props.renderLoading){
return this.props.renderLoading();
}
return null;
}},{key:'render',value:function render()

{var _this6=this;
if(this.state.isInitialized===true){
return(
_react2.default.createElement(_reactNativeActionSheet2.default,{ref:function ref(component){return _this6._actionSheetRef=component;},__source:{fileName:_jsxFileName,lineNumber:447}},
_react2.default.createElement(_reactNative.View,{style:styles.container,onLayout:this.onMainViewLayout,__source:{fileName:_jsxFileName,lineNumber:448}},
this.renderMessages(),
this.renderInputToolbar())));



}
return(
_react2.default.createElement(_reactNative.View,{style:styles.container,onLayout:this.onInitialLayoutViewLayout,__source:{fileName:_jsxFileName,lineNumber:456}},
this.renderLoading()));


}}],[{key:'append',value:function append(){var currentMessages=arguments.length>0&&arguments[0]!==undefined?arguments[0]:[];var messages=arguments[1];if(!Array.isArray(messages)){messages=[messages];}return messages.concat(currentMessages);}},{key:'prepend',value:function prepend(){var currentMessages=arguments.length>0&&arguments[0]!==undefined?arguments[0]:[];var messages=arguments[1];if(!Array.isArray(messages)){messages=[messages];}return currentMessages.concat(messages);}}]);return GiftedChat;}(_react2.default.Component);


var styles=_reactNative.StyleSheet.create({
container:{
flex:1}});



GiftedChat.childContextTypes={
actionSheet:_react2.default.PropTypes.func,
getLocale:_react2.default.PropTypes.func};


GiftedChat.defaultProps={
messages:[],
onSend:function onSend(){
},
loadEarlier:false,
onLoadEarlier:function onLoadEarlier(){
},
locale:null,
isAnimated:_reactNative.Platform.select({
ios:true,
android:false}),

renderAccessory:null,
renderActions:null,
renderAvatar:null,
renderBubble:null,
renderFooter:null,
renderChatFooter:null,
renderMessageText:null,
renderMessageImage:null,
renderComposer:null,
renderCustomView:null,
renderDay:null,
renderInputToolbar:null,
renderLoadEarlier:null,
renderLoading:null,
renderMessage:null,
renderSend:null,
renderTime:null,
user:{},
bottomOffset:0,
isLoadingEarlier:false};


GiftedChat.propTypes={
messages:_react2.default.PropTypes.array,
onSend:_react2.default.PropTypes.func,
loadEarlier:_react2.default.PropTypes.bool,
onLoadEarlier:_react2.default.PropTypes.func,
locale:_react2.default.PropTypes.string,
isAnimated:_react2.default.PropTypes.bool,
renderAccessory:_react2.default.PropTypes.func,
renderActions:_react2.default.PropTypes.func,
renderAvatar:_react2.default.PropTypes.func,
renderBubble:_react2.default.PropTypes.func,
renderFooter:_react2.default.PropTypes.func,
renderChatFooter:_react2.default.PropTypes.func,
renderMessageText:_react2.default.PropTypes.func,
renderMessageImage:_react2.default.PropTypes.func,
renderComposer:_react2.default.PropTypes.func,
renderCustomView:_react2.default.PropTypes.func,
renderDay:_react2.default.PropTypes.func,
renderInputToolbar:_react2.default.PropTypes.func,
renderLoadEarlier:_react2.default.PropTypes.func,
renderLoading:_react2.default.PropTypes.func,
renderMessage:_react2.default.PropTypes.func,
renderSend:_react2.default.PropTypes.func,
renderTime:_react2.default.PropTypes.func,
user:_react2.default.PropTypes.object,
bottomOffset:_react2.default.PropTypes.number,
isLoadingEarlier:_react2.default.PropTypes.bool};exports.



GiftedChat=GiftedChat;exports.
Actions=_Actions2.default;exports.
Avatar=_Avatar2.default;exports.
Bubble=_Bubble2.default;exports.
MessageImage=_MessageImage2.default;exports.
MessageText=_MessageText2.default;exports.
Composer=_Composer2.default;exports.
Day=_Day2.default;exports.
InputToolbar=_InputToolbar2.default;exports.
LoadEarlier=_LoadEarlier2.default;exports.
Message=_Message2.default;exports.
Send=_Send2.default;exports.
Time=_Time2.default;