Object.defineProperty(exports,"__esModule",{value:true});var _jsxFileName='src/Message.js';var _extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key];}}}return target;};var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();var _react=require('react');var _react2=_interopRequireDefault(_react);
var _reactNative=require('react-native');




var _Avatar=require('./Avatar');var _Avatar2=_interopRequireDefault(_Avatar);
var _Bubble=require('./Bubble');var _Bubble2=_interopRequireDefault(_Bubble);
var _Day=require('./Day');var _Day2=_interopRequireDefault(_Day);

var _utils=require('./utils');function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _objectWithoutProperties(obj,keys){var target={};for(var i in obj){if(keys.indexOf(i)>=0)continue;if(!Object.prototype.hasOwnProperty.call(obj,i))continue;target[i]=obj[i];}return target;}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call&&(typeof call==="object"||typeof call==="function")?call:self;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass);}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass;}var

Message=function(_React$Component){_inherits(Message,_React$Component);function Message(){_classCallCheck(this,Message);return _possibleConstructorReturn(this,(Message.__proto__||Object.getPrototypeOf(Message)).apply(this,arguments));}_createClass(Message,[{key:'getInnerComponentProps',value:function getInnerComponentProps()

{var _props=
this.props,containerStyle=_props.containerStyle,props=_objectWithoutProperties(_props,['containerStyle']);
return _extends({},
props,{
isSameUser:_utils.isSameUser,
isSameDay:_utils.isSameDay});

}},{key:'renderDay',value:function renderDay()

{
if(this.props.currentMessage.createdAt){
var dayProps=this.getInnerComponentProps();
if(this.props.renderDay){
return this.props.renderDay(dayProps);
}
return _react2.default.createElement(_Day2.default,_extends({},dayProps,{__source:{fileName:_jsxFileName,lineNumber:30}}));
}
return null;
}},{key:'renderBubble',value:function renderBubble()

{
var bubbleProps=this.getInnerComponentProps();
if(this.props.renderBubble){
return this.props.renderBubble(bubbleProps);
}
return _react2.default.createElement(_Bubble2.default,_extends({},bubbleProps,{__source:{fileName:_jsxFileName,lineNumber:40}}));
}},{key:'renderAvatar',value:function renderAvatar()

{
if(this.props.user._id!==this.props.currentMessage.user._id){
var avatarProps=this.getInnerComponentProps();
return _react2.default.createElement(_Avatar2.default,_extends({},avatarProps,{__source:{fileName:_jsxFileName,lineNumber:46}}));
}
return null;
}},{key:'render',value:function render()

{
return(
_react2.default.createElement(_reactNative.View,{__source:{fileName:_jsxFileName,lineNumber:53}},
this.renderDay(),
_react2.default.createElement(_reactNative.View,{style:[styles[this.props.position].container,{
marginBottom:(0,_utils.isSameUser)(this.props.currentMessage,this.props.nextMessage)?2:10},
this.props.containerStyle[this.props.position]],__source:{fileName:_jsxFileName,lineNumber:55}},
this.props.position==='left'?this.renderAvatar():null,
this.renderBubble(),
this.props.position==='right'?this.renderAvatar():null)));



}}]);return Message;}(_react2.default.Component);exports.default=Message;


var styles={
left:_reactNative.StyleSheet.create({
container:{
flexDirection:'row',
alignItems:'flex-end',
justifyContent:'flex-start',
marginLeft:8,
marginRight:0}}),


right:_reactNative.StyleSheet.create({
container:{
flexDirection:'row',
alignItems:'flex-end',
justifyContent:'flex-end',
marginLeft:0,
marginRight:8}})};




Message.defaultProps={
renderAvatar:null,
renderBubble:null,
renderDay:null,
position:'left',
currentMessage:{},
nextMessage:{},
previousMessage:{},
user:{},
containerStyle:{}};


Message.propTypes={
renderAvatar:_react2.default.PropTypes.func,
renderBubble:_react2.default.PropTypes.func,
renderDay:_react2.default.PropTypes.func,
position:_react2.default.PropTypes.oneOf(['left','right']),
currentMessage:_react2.default.PropTypes.object,
nextMessage:_react2.default.PropTypes.object,
previousMessage:_react2.default.PropTypes.object,
user:_react2.default.PropTypes.object,
containerStyle:_react2.default.PropTypes.shape({
left:_reactNative.View.propTypes.style,
right:_reactNative.View.propTypes.style})};