Object.defineProperty(exports,"__esModule",{value:true});var _jsxFileName='src/MessageContainer.js';var _extends=Object.assign||function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source){if(Object.prototype.hasOwnProperty.call(source,key)){target[key]=source[key];}}}return target;};var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor);}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor;};}();var _react=require('react');var _react2=_interopRequireDefault(_react);

var _reactNative=require('react-native');




var _shallowequal=require('shallowequal');var _shallowequal2=_interopRequireDefault(_shallowequal);
var _reactNativeInvertibleScrollView=require('react-native-invertible-scroll-view');var _reactNativeInvertibleScrollView2=_interopRequireDefault(_reactNativeInvertibleScrollView);
var _md=require('md5');var _md2=_interopRequireDefault(_md);
var _LoadEarlier=require('./LoadEarlier');var _LoadEarlier2=_interopRequireDefault(_LoadEarlier);
var _Message=require('./Message');var _Message2=_interopRequireDefault(_Message);function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj};}function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function");}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called");}return call&&(typeof call==="object"||typeof call==="function")?call:self;}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass);}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass;}var

MessageContainer=function(_React$Component){_inherits(MessageContainer,_React$Component);
function MessageContainer(props){_classCallCheck(this,MessageContainer);var _this=_possibleConstructorReturn(this,(MessageContainer.__proto__||Object.getPrototypeOf(MessageContainer)).call(this,
props));

_this.renderRow=_this.renderRow.bind(_this);
_this.renderFooter=_this.renderFooter.bind(_this);
_this.renderLoadEarlier=_this.renderLoadEarlier.bind(_this);
_this.renderScrollComponent=_this.renderScrollComponent.bind(_this);

var dataSource=new _reactNative.ListView.DataSource({
rowHasChanged:function rowHasChanged(r1,r2){
return r1.hash!==r2.hash;
}});


var messagesData=_this.prepareMessages(props.messages);
_this.state={
dataSource:dataSource.cloneWithRows(messagesData.blob,messagesData.keys)};return _this;

}_createClass(MessageContainer,[{key:'prepareMessages',value:function prepareMessages(

messages){
return{
keys:messages.map(function(m){return m._id;}),
blob:messages.reduce(function(o,m,i){
var previousMessage=messages[i+1]||{};
var nextMessage=messages[i-1]||{};

var toHash=JSON.stringify(m)+previousMessage._id+nextMessage._id;
o[m._id]=_extends({},
m,{
previousMessage:previousMessage,
nextMessage:nextMessage,
hash:(0,_md2.default)(toHash)});

return o;
},{})};

}},{key:'shouldComponentUpdate',value:function shouldComponentUpdate(

nextProps,nextState){
if(!(0,_shallowequal2.default)(this.props,nextProps)){
return true;
}
if(!(0,_shallowequal2.default)(this.state,nextState)){
return true;
}
return false;
}},{key:'componentWillReceiveProps',value:function componentWillReceiveProps(

nextProps){
if(this.props.messages===nextProps.messages){
return;
}
var messagesData=this.prepareMessages(nextProps.messages);
this.setState({
dataSource:this.state.dataSource.cloneWithRows(messagesData.blob,messagesData.keys)});

}},{key:'renderFooter',value:function renderFooter()

{
if(this.props.renderFooter){
var footerProps=_extends({},
this.props);

return this.props.renderFooter(footerProps);
}
return null;
}},{key:'renderLoadEarlier',value:function renderLoadEarlier()

{
if(this.props.loadEarlier===true){
var loadEarlierProps=_extends({},
this.props);

if(this.props.renderLoadEarlier){
return this.props.renderLoadEarlier(loadEarlierProps);
}
return(
_react2.default.createElement(_LoadEarlier2.default,_extends({},loadEarlierProps,{__source:{fileName:_jsxFileName,lineNumber:93}})));

}
return null;
}},{key:'scrollTo',value:function scrollTo(

options){
this._invertibleScrollViewRef.scrollTo(options);
}},{key:'renderRow',value:function renderRow(

message,sectionId,rowId){
if(!message._id&&message._id!==0){
console.warn('GiftedChat: `_id` is missing for message',JSON.stringify(message));
}
if(!message.user){
console.warn('GiftedChat: `user` is missing for message',JSON.stringify(message));
message.user={};
}

var messageProps=_extends({},
this.props,{
key:message._id,
currentMessage:message,
previousMessage:message.previousMessage,
nextMessage:message.nextMessage,
position:message.user._id===this.props.user._id?'right':'left'});


if(this.props.renderMessage){
return this.props.renderMessage(messageProps);
}
return _react2.default.createElement(_Message2.default,_extends({},messageProps,{__source:{fileName:_jsxFileName,lineNumber:124}}));
}},{key:'renderScrollComponent',value:function renderScrollComponent(

props){var _this2=this;
var invertibleScrollViewProps=this.props.invertibleScrollViewProps;
return(
_react2.default.createElement(_reactNativeInvertibleScrollView2.default,_extends({},
props,
invertibleScrollViewProps,{
ref:function ref(component){return _this2._invertibleScrollViewRef=component;},__source:{fileName:_jsxFileName,lineNumber:130}})));


}},{key:'render',value:function render()

{
return(
_react2.default.createElement(_reactNative.View,{ref:'container',style:{flex:1},__source:{fileName:_jsxFileName,lineNumber:140}},
_react2.default.createElement(_reactNative.ListView,{
enableEmptySections:true,
keyboardShouldPersistTaps:true,
automaticallyAdjustContentInsets:false,
initialListSize:20,
pageSize:20,

dataSource:this.state.dataSource,

renderRow:this.renderRow,
renderHeader:this.renderFooter,
renderFooter:this.renderLoadEarlier,
renderScrollComponent:this.renderScrollComponent,__source:{fileName:_jsxFileName,lineNumber:141}})));



}}]);return MessageContainer;}(_react2.default.Component);exports.default=MessageContainer;


MessageContainer.defaultProps={
messages:[],
user:{},
renderFooter:null,
renderMessage:null,
onLoadEarlier:function onLoadEarlier(){
}};


MessageContainer.propTypes={
messages:_react2.default.PropTypes.array,
user:_react2.default.PropTypes.object,
renderFooter:_react2.default.PropTypes.func,
renderMessage:_react2.default.PropTypes.func,
onLoadEarlier:_react2.default.PropTypes.func};